# Class PictureSettings

Visual settings for TwinfinityViewer. Controls things like lighting, IFC object transparency etc

##### Index

### Constructors

constructor

### Properties

ifc

### Accessors

lighting

## Constructors

### constructor

- new PictureSettings(viewer: TwinfinityViewer): PictureSettings

  Constructor for the visual settings.

  #### Parameters

  - viewer: TwinfinityViewer

    TwinfinityViewer instance this VisualSettings instance is associated with.

  #### Returns PictureSettings

## Properties

### `Readonly` ifc

ifc: IfcPictureSettings

Visual settings for IFC objects. These settings are applied to all IFC objects in the scene.

## Accessors

### lighting

- get lighting(): LightingEnvironment

  Current global lighting settings. These settings control how the scene is lit and affects all objects (both IFC and standard BabylonJS objects).

  #### Returns LightingEnvironment